# ACE_RMCast Namespace Reference

## Classes

class | ACE_RMCast::Acknowledge
struct | ACE_RMCast::Acknowledge::Descr
struct | ACE_RMCast::Acknowledge::Queue
class | ACE_RMCast::Flow
class | ACE_RMCast::Fragment
class | ACE_RMCast::Link
class | ACE_RMCast::Parameters
struct | ACE_RMCast::AddressHasher
struct | ACE_RMCast::Profile
class | ACE_RMCast::Profile::Header
class | ACE_RMCast::Message
struct | ACE_RMCast::From
struct | ACE_RMCast::To
struct | ACE_RMCast::Data
struct | ACE_RMCast::SN
class | ACE_RMCast::NAK
struct | ACE_RMCast::NRTM
struct | ACE_RMCast::NoData
struct | ACE_RMCast::Part
class | ACE_RMCast::Reassemble
class | ACE_RMCast::Retransmit
struct | ACE_RMCast::Retransmit::Descr
class | ACE_RMCast::Simulator
class | ACE_RMCast::Socket_Impl
class | ACE_RMCast::Socket
struct | ACE_RMCast::Out_Element
struct | ACE_RMCast::In_Element
struct | ACE_RMCast::Element

## Typedefs

typedef ACE_SYNCH_MUTEX | Mutex
typedef ACE_Guard< Mutex > | Lock
typedef ACE_Condition< Mutex > | Condition
typedef ACE_CDR::UShort | u16
typedef ACE_CDR::ULong | u32
typedef ACE_CDR::ULongLong | u64
typedef ACE_INET_Addr | Address
typedef ACE_OutputCDR | ostream
typedef ACE_SizeCDR | sstream
typedef ACE_InputCDR | istream
typedef ACE_Refcounted_Auto_Ptr< Profile, Mutex > | Profile_ptr
typedef ACE_Refcounted_Auto_Ptr< Message, Mutex > | Message_ptr
typedef ACE_Vector< Message_ptr, ACE_VECTOR_DEFAULT_SIZE > | Messages
typedef ACE_Refcounted_Auto_Ptr< From, Mutex > | From_ptr
typedef ACE_Refcounted_Auto_Ptr< To, Mutex > | To_ptr
typedef ACE_Refcounted_Auto_Ptr< Data, Mutex > | Data_ptr
typedef ACE_Refcounted_Auto_Ptr< SN, Mutex > | SN_ptr
typedef ACE_Refcounted_Auto_Ptr< NAK, Mutex > | NAK_ptr
typedef ACE_Refcounted_Auto_Ptr< NRTM, Mutex > | NRTM_ptr
typedef ACE_Refcounted_Auto_Ptr< NoData, Mutex > | NoData_ptr
typedef ACE_Refcounted_Auto_Ptr< Part, Mutex > | Part_ptr

## Functions

ostream & | operator<< (ostream &os, Profile::Header const &hdr)
sstream & | operator<< (sstream &ss, Profile::Header const &hdr)
ostream & | operator<< (ostream &os, Profile const &p)
sstream & | operator<< (sstream &ss, Profile const &p)

## Variables

unsigned short const | max_service_size = 60

## Typedef Documentation

typedef ACE_INET_Addr ACE_RMCast::Address

typedef ACE_Condition<Mutex> ACE_RMCast::Condition

typedef ACE_Refcounted_Auto_Ptr<Data, Mutex> ACE_RMCast::Data_ptr

typedef ACE_Refcounted_Auto_Ptr<From, Mutex> ACE_RMCast::From_ptr

typedef ACE_InputCDR ACE_RMCast::istream

typedef ACE_Guard<Mutex> ACE_RMCast::Lock

typedef ACE_Refcounted_Auto_Ptr<Message, Mutex> ACE_RMCast::Message_ptr

typedef ACE_Vector<Message_ptr, ACE_VECTOR_DEFAULT_SIZE> ACE_RMCast::Messages

typedef ACE_SYNCH_MUTEX ACE_RMCast::Mutex

typedef ACE_Refcounted_Auto_Ptr<NAK, Mutex> ACE_RMCast::NAK_ptr

typedef ACE_Refcounted_Auto_Ptr<NoData, Mutex> ACE_RMCast::NoData_ptr

typedef ACE_Refcounted_Auto_Ptr<NRTM, Mutex> ACE_RMCast::NRTM_ptr

typedef ACE_OutputCDR ACE_RMCast::ostream

typedef ACE_Refcounted_Auto_Ptr<Part, Mutex> ACE_RMCast::Part_ptr

typedef ACE_Refcounted_Auto_Ptr<Profile, Mutex> ACE_RMCast::Profile_ptr

typedef ACE_Refcounted_Auto_Ptr<SN, Mutex> ACE_RMCast::SN_ptr

typedef ACE_SizeCDR ACE_RMCast::sstream

typedef ACE_Refcounted_Auto_Ptr<To, Mutex> ACE_RMCast::To_ptr

typedef ACE_CDR::UShort ACE_RMCast::u16

typedef ACE_CDR::ULong ACE_RMCast::u32

typedef ACE_CDR::ULongLong ACE_RMCast::u64

## Function Documentation

sstream& operator<< | ( | sstream & | ss,
|  | Profile const & | p
| ) | `[inline]`

ostream& operator<< | ( | ostream & | os,
|  | Profile const & | p
| ) | `[inline]`

sstream& operator<< | ( | sstream & | ss,
|  | Profile::Header const & | hdr
| ) | `[inline]`

ostream& operator<< | ( | ostream & | os,
|  | Profile::Header const & | hdr
| ) | `[inline]`

## Variable Documentation

unsigned short const ACE_RMCast::max_service_size = 60